lxappearance (0.6.3-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:57 +1100

lxappearance (0.6.3-5build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:37:02 +0000

lxappearance (0.6.3-5) unstable; urgency=medium

  * Revert wrong patch, thanks Ingo Brückl.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 23 Sep 2023 18:11:09 +0800

lxappearance (0.6.3-4) unstable; urgency=medium

  * Fix GTK3/cario segfault, thanks Ingo Brückl. (Closes: #1052210)
  * Update d/source/lintian-overrides.
  * Use GitHub as upstream:
    * Add d/upstream/metadata.
    * Update Source in d/copyright to GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 19 Sep 2023 20:58:54 +0800

lxappearance (0.6.3-3) unstable; urgency=medium

  * Change team email to <team+lxde@tracker.debian.org>.
  * Use GitHub for Homepage, and d/watch.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Sep 2023 03:29:40 +0800

lxappearance (0.6.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2:
    * Add Rules-Requires-Root: no.
    * Fix d/copyright Format.
  * Bump compat to 13:
    * Remove legacy debug package lxappearance-dbg.
    * Remove unnecessary Build-Depends autotools-dev.
    * Remove unnecessary --parallel in dh.
    * Remove unuecessary d/source/options.
  * Add missing Build-Depends automake.
  * Update Vcs-* to Salsa.
  * Add ChangZhuo Chen (陳昌倬) <czchen@debian.org> to Uploaders.
  * d/control: Tweak indent.
  * Add d/gbp.conf.
  * Migrate to GTK-3. (Closes: #818630, #967606)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 11 Sep 2023 21:55:30 +0800

lxappearance (0.6.3-1) unstable; urgency=medium

  * Adding lxde-settings-daemon as a recommended package.
  * Merging upstream version 0.6.3.
  * Bump Standards-Version to 3.9.8.
  * Using https for VCS fields in debian/control file.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Wed, 25 Jan 2017 03:44:43 +0200

lxappearance (0.6.2-1) unstable; urgency=medium

  * Merging upstream version 0.6.2.
  * Changing Maintainer e-mail to Alioth based one.
  * Bump Standards-Version to 3.9.7.
  * Removing the menu file which duplicates desktop entry command.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Sun, 21 Feb 2016 14:38:53 +0200

lxappearance (0.6.1-1) unstable; urgency=low

  [ Andriy Grytsenko ]
  * Merging upstream version 0.6.0:
    - Added accessibility enabling option.
    - Fixed incorrect data in settings.ini file.
  * Bump Standards-Version to 3.9.6.
  * Adding lintian-overrides file for debian-watch-may-check-gpg-signature.
  * Merging upstream version 0.6.1.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Thu, 23 Oct 2014 22:44:18 +0300

lxappearance (0.5.6-1) unstable; urgency=low

  * Merging upstream version 0.5.6 (Closes: #683146).
  * Removing obsolete target override_dh_builddeb from debian/rules file.
  * Removing override_dh_auto_test target since upstream fixed the problem.
  * Enabling parallel build (pass --parallel to dh).

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Fri, 19 Sep 2014 23:02:18 +0300

lxappearance (0.5.5-1) unstable; urgency=low

  [ Alf Gaida ]
  * Add dbus support. (Closes: #720604)

  [ Andriy Grytsenko ]
  * Merging upstream version 0.5.4.
  * Merging upstream version 0.5.5. (Closes: #636093)
  * Adding myself to uploaders.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Wed, 26 Feb 2014 03:19:29 +0200

lxappearance (0.5.3-1) unstable; urgency=low

  [ Andriy Grytsenko ]
  * Removing libmenu-cache1-dev from Build-Depends (Closes: #722111)
  * Removing Daniel Baumann from uploaders (Closes: #704335).
  * Merging upstream version 0.5.3.
  * Bump Standards-Version to 3.9.4.
  * Adding --disable-silent-rules to fix buildlog checker warning.
  * Bump Standards-Version to 3.9.5.
  * Updating watch file to support XZ tarball format and non-numeric
    versions.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 26 Dec 2013 02:42:06 +0800

lxappearance (0.5.2-1) unstable; urgency=low

  * Merging upstream version 0.5.2.

 -- Daniel Baumann <daniel@debian.org>  Sun, 20 May 2012 20:15:24 +0200

lxappearance (0.5.1-3) unstable; urgency=low

  * Moving package to priority optional.
  * Consistently using x11 as section as all the majority of the lxde
    packages do.
  * Merging lxappearance-dev into lxappearance package itself,
    lxappearance-dev only contained one header and one pkgconfig file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 18 May 2012 20:07:10 +0200

lxappearance (0.5.1-2) unstable; urgency=low

  * Updating maintainer field.
  * Adding myself to uploaders.
  * Updating vcs fields.
  * Removing whitespaces at EOL and EOF.
  * Updating package to debhelper version 9.
  * Updating package to standards version 3.9.3.
  * Making build-depends unversioned where already fulfiled as of
    squeeze.
  * Updating homepage field.
  * Rewriting copyright file machine-readable format version 1.0.
  * Always installing appport hook, not just on ubuntu only.
  * Decrufting rules file.
  * Switching to xz compression for both the source and the binary
    packages.
  * Reworking package descriptions.
  * Completing menu file.
  * Correcting depends.
  * Removing patches left-overs.

 -- Daniel Baumann <daniel@debian.org>  Mon, 16 Apr 2012 21:39:22 +0000

lxappearance (0.5.1-1) unstable; urgency=low

  * Removing useless whitespaces at EOL and EOF.
  * Use debhelper 8
  * Sorting build-depends.
  * Wapping build-depends.
  * Sorting and rewapping depends.
  * Updating Vcs-Browser and Vcs-Git tags.
  * Removing debian/docs file which contain not useful thing.
  * Compacting watch file.
  * Compacting rules file.
  * Removing unused debian/dirs file.
  * Adding apport hook for Ubuntu and Ubuntu derivatives from
    Julien Lavergne <gilir@ubuntu.com>.
  * Updating build-depends.
  * Converting debian/copyright into machine readable format.
  * Merging upstream version 0.5.1:
    - Updated copyright year
    - Removing useless whitespaces at EOL and EOF.
    - Correcting automake handling for –enable-man configure option
      that has never worked in the first place.
    - Rather than failing with an error when build is run
      with –enable-man=no, now printing only a warning instead.
    - Rather than unconditionally regenerating the manpage,
      setting the –enable-man default to yes.
    - Update FSF address
    - fixed assignment and plugged memory leak
    - fixed the types of the app struct members holding the
      gtk-xft-hintstyle and gtk-xft-hintstyle properties
    - Remove deprecated property in ui file
    - Add an option to compile with gtk3
    - Write gtkrc file in gtk3 directory
    - Revert also commit on plugin
    - Revert part of the commit for compiler warnings, to fix loading themes.
    - Update po with migration to UI
    - Fix not capitalized string
    - Add new font configuration tab.
    - Apply patch on GTK3 migration
    - Use directly ui file instead of glade files
    - Improve build system (new flags, silent rules)
  * Remove useless autoreconf from rules file.
  * Remove useless override_dh_auto_clean from rules file.
  * Disabling dh_auto_test in rules file: check failed in po/.
  * Installing lxappearance.menu. (Closes: #587791)
  * Moving gtk2-engines from depends to recommends. (Closes: #592683)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 30 Jul 2011 22:08:42 +0800

lxappearance (0.5.0-1) unstable; urgency=low

  [ Julien Lavergne ]
  * New upstream release.
   - Fix crash with early call to gtkrc_file_get_color_scheme. LP: #642153
  * debian/patches/lxappearance-0.4.0+git20100807.patch:
    - Drop, merged upstream.
  * debian/control:
   - Add a new binary for files needed to build plugins.
   - Add a debug package.
   - Build-depends on lsb-release, needed to detect the distribution.
   - Build-depends on intltool (>= 0.40.0), libx11-dev,
     libmenu-cache1-dev (>= 0.3.2).
   - Bump build-depends on libgtk2.0-dev (>= 2.12) and libglib2.0-dev (>= 2.18).
   - Wrap depends and build-depends.
  * debian/*.install:
   - Split installed files.
  * debian/apport/source_lxappearance.py:
   - Add apport hook.
  * debian/rules:
   - Install apport hook only on Ubuntu.
   - Add dh_strip call for the debug package.
   - Use --fail-missing for dh_install.
   - Disable autoreconf call for this stable release.
  * debian/copyright:
   - Update copyright year.

  [ Andrew Lee (李健秋) ]
  * Use Debian LXDE Packaging Team address.
  * Bumped Standard-version to 3.9.2
  * Added Vcs-Git and Vcs-Browser tags
  * Switch to dpkg-source 3.0 (quilt) format
  * Added a patch that sync with upstream snapshot
  * Build-depends on debhelper (>= 7.0.50~)
  * Bumped to dh7
  * Update rules file to dh7 format
  * Fix description-synopsis-starts-with-article lintien warning

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 20 Jul 2011 00:30:09 +0800

lxappearance (0.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #562564, #532847)
    - Replace all Glade-generated code with GtkBuilder
    - Use icon names defined in newer icon naming spec.
    - UI adjustment
    - Fix memory leaks and compiler warnings.
    - Translation update

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2010 00:11:40 +0800

lxappearance (0.3.0+svn20091218-1) unstable; urgency=low

  * Sync with upstream for bug fix
    - fix category in lxappearance.desktop
    - Cursor theme modification is disabled by default since it is buggy
    - Translation update

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 18 Dec 2009 15:35:01 +0800

lxappearance (0.3+svn20091101-1) unstable; urgency=low

  * New upstream release (Closes:#559463)
    - Support the latest lxsession-Xsettings-daemon
    - Cursor size support
  * Drop dpatch. (patches merged into upstream)
  * Update homepage url

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 05 Dec 2009 12:33:48 +0800

lxappearance (0.2.1-2) unstable; urgency=low

  * Applied 01_fix_infinite_loop.dpatch (Closes:#541666)
  * debian/control:
    - Build-depends on intltool, dpatch
  * debian/rules:
    - autoreconf -fiv

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 15 Aug 2009 21:38:26 +0800

lxappearance (0.2.1-1) unstable; urgency=low

  * New upstream release
    - Use Docbook-XML instead of SGML for manpages
    - Enable regeneration of man pages via "configure --enable-man"
    - Compilation error fix
    - Translation update (Cloese:#532847)
  * Correct debian/watch
  * debian/rules:
    - Added --enable-man
  * debian/control:
    - Build-depends on docbook-xsl
  * Bumped Stardard-version to 3.8.2

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 26 Jul 2009 21:32:32 +0200

lxappearance (0.2-1) unstable; urgency=low

  * Initial release (Closes: #482165)

 -- Andrew Lee <andrew@linux.org.tw>  Sun, 25 May 2008 14:49:18 +0800
